
package de.ivu.elect.presentation.gebietsbaum.menu;

import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.gebietsbaum.GebietSortierenView;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

public class GebietSortierenMenuItemEntry extends AbstractGebietMenuItemEntry {

  private static final long serialVersionUID = 1L;


  public GebietSortierenMenuItemEntry() {
    super();
  }

  @Override
  protected UseCasePermission getUseCasePermission() {
    return UseCasePermission.GEBIET_SORTIEREN;
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return getEinsehenGebietSecurity();
  }

  @Override
  public String getTargetViewId() {
    return GebietSortierenView.VIEW_ID;
  }


  @Override
  public String getLabelKey() {
    return "gebiet.sortieren.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconSort();
  }

  @Override
  protected boolean isResetViewStackAllowed() {
    return false;
  }

}
